Skip to:
Content

BuddyPress.org

Opened 5 years ago

Closed 5 years ago

Last modified 4 years ago

#5718 closed defect (bug) (wontfix)

Grunt build-release and https certificate for bbPress svn repo

Reported by: dcavins Owned by:
Milestone: Priority: normal
Severity: normal Version: 2.0
Component: Core Keywords:
Cc: stephen@…

Description

When building BuddyPress using grunt build-release, Grunt makes the following complaint:

Running "exec:bbpress" (exec) task
>> Error validating server certificate for 'https://bbpress.svn.wordpress.org:443':
>>  - The certificate is not issued by a trusted authority. Use the
>>    fingerprint to validate the certificate manually!
>> Certificate information:
>>  - Hostname: *.svn.wordpress.org
>>  - Valid: from Mon, 14 Apr 2014 18:09:05 GMT until Wed, 15 Jul 2015 19:04:26 GMT
>>  - Issuer: http://certs.godaddy.com/repository/, GoDaddy.com, Inc., Scottsdale, Arizona, US
>>  - Fingerprint: 15:9c:f0:f6:11:9e:1a:28:eb:dd:c4:e6:db:91:80:3a:eb:3f:4e:99
>> (R)eject, accept (t)emporarily or accept (p)ermanently?

It looks like I could just type "t" and keep going, but the script appears to be unresponsive to input from the keyboard. Is there some way around this issue (read: what am I doing wrong)?

Thanks for the help.

Change History (7)

#1 @imath
5 years ago

I had same trouble. I've resolved it by creating a new directory for bbPress on my local machine, then once in this directory, i ran :
svn co https://bbpress.svn.wordpress.org/trunk .

Then i was able to permanently (p) accept the certificate.

Then going back in my BuddyPress gruntified folder, i was able to use grunt build-release without having the "certificate error"

#2 @netweb
5 years ago

  • Cc stephen@… added

I haven't seen this, yet, will keep an eye out for it though.

#3 @DJPaul
5 years ago

imath's suggested workaround is good enough for now.

#4 follow-up: @DJPaul
5 years ago

dcavins, are you on OS X?

#5 in reply to: ↑ 4 @dcavins
5 years ago

Replying to DJPaul:

dcavins, are you on OS X?

Yes.

I used imath's suggestion and the bbpress exec task didn't cause any grumbling. However, the exec:bpdefault task did fail in the same way.

Running "exec:bpdefault" (exec) task
>> Error validating server certificate for 'https://github.com:443':
>>  - The certificate is not issued by a trusted authority. Use the
>>    fingerprint to validate the certificate manually!
>> Certificate information:
>>  - Hostname: github.com
>>  - Valid: from Tue, 08 Apr 2014 00:00:00 GMT until Tue, 12 Apr 2016 12:00:00 GMT
>>  - Issuer: www.digicert.com, DigiCert Inc, US
>>  - Fingerprint: a0:c4:a7:46:00:ed:a7:2d:c0:be:cb:9a:8c:b6:07:ca:58:ee:74:5e
>> (R)eject, accept (t)emporarily or accept (p)ermanently?

I used imath's workaround for this too, by creating the folder buddypress/build/bp-themes/bp-default and running svn co https://github.com/buddypress/BP-Default.git/trunk . from within it.

Ha ha, then I didn't have phpunit, so the task failed. But it looks like I'll need composer to install that. Someday I'll be a real dev, at this rate! :)

Thanks for the help.


#6 @DJPaul
5 years ago

  • Milestone Awaiting Review deleted
  • Resolution set to wontfix
  • Status changed from new to closed

I asked Nacin and he gave me a tl;dr that this is a some kind of issue with OS X that crops up sometime, not the certificate being invalid. I don't think we can do anything to improve this at the moment, but if we get persistent reports going forwards, we can re-visit. Thanks.

This ticket was mentioned in Slack in #meta by netweb. View the logs.


4 years ago

Note: See TracTickets for help on using tickets.